# MimePart Class Reference
[Mail utilities]

Inheritance diagram for MimePart:
[legend]

List of all members.

## Public Member Functions

| __construct ()
| setBoundary ($boundary)
| getBoundary ()
| getContentId ()
| setContentId ($id)
| getContentType ()
| setContentType ($type)
| getEncoding ()
| setEncoding (MailEncoding $encoding)
| getCharset ()
| setCharset ($charset)
| getFilename ()
| setFilename ($name)
| getDescription ()
| setDescription ($description)
| loadBodyFromFile ($path)
| setBody ($body)
| getBody ()
| addSubPart (MimePart $part)
| setInline ($inline=true)
| getEncodedBody ()
| returns encoded body as string
| getHeaders ()
| returns all related headers as string

## Static Public Member Functions

static | create ()

## Private Attributes

| $contentId = null
| $contentType = null
| $boundary = null
| $encoding = null
| $charset = null
| $filename = null
| $description = null
| $body = null
| $inline = false
| $parts = array()

## Detailed Description

Definition at line 17 of file MimePart.class.php.

## Constructor & Destructor Documentation

MimePart::__construct | ( |  | ) |

Definition at line 44 of file MimePart.class.php.

References MailEncoding::seven().

Here is the call graph for this function:

## Member Function Documentation

MimePart::addSubPart | ( | MimePart $ | part | ) |

Returns:
  MimePart

Definition at line 191 of file MimePart.class.php.

static MimePart::create | ( |  | ) | `[static]`

Returns:
  MimePart

Definition at line 39 of file MimePart.class.php.

Referenced by MimeMail::build().

MimePart::getBody | ( |  | ) |

Definition at line 183 of file MimePart.class.php.

MimePart::getBoundary | ( |  | ) |

Definition at line 62 of file MimePart.class.php.

MimePart::getCharset | ( |  | ) |

Definition at line 115 of file MimePart.class.php.

MimePart::getContentId | ( |  | ) |

Definition at line 67 of file MimePart.class.php.

MimePart::getContentType | ( |  | ) |

Definition at line 82 of file MimePart.class.php.

MimePart::getDescription | ( |  | ) |

Definition at line 145 of file MimePart.class.php.

MimePart::getEncodedBody | ( |  | ) |

returns encoded body as string

quoted-printable encoding voodoo by <bendi at="" interia="" dot="" pl>="">

See also:
  http://www.php.net/quoted_printable_decode

Implements MailBuilder.

Definition at line 208 of file MimePart.class.php.

References $body, MailEncoding::BASE64, MailEncoding::EIGHT_BITS, MailEncoding::QUOTED, and MailEncoding::SEVEN_BITS.

MimePart::getEncoding | ( |  | ) |

Returns:
  MailEncoding

Definition at line 100 of file MimePart.class.php.

MimePart::getFilename | ( |  | ) |

Definition at line 130 of file MimePart.class.php.

MimePart::getHeaders | ( |  | ) |

returns all related headers as string

Implements MailBuilder.

Definition at line 261 of file MimePart.class.php.

MimePart::loadBodyFromFile | ( | $ | path | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  MimePart

Definition at line 164 of file MimePart.class.php.

References Assert::isTrue().

Here is the call graph for this function:

MimePart::setBody | ( | $ | body | ) |

Returns:
  MimePart

Definition at line 176 of file MimePart.class.php.

References $body.

MimePart::setBoundary | ( | $ | boundary | ) |

Returns:
  MimePart

Definition at line 55 of file MimePart.class.php.

References $boundary.

MimePart::setCharset | ( | $ | charset | ) |

Returns:
  MimePart

Definition at line 123 of file MimePart.class.php.

References $charset.

MimePart::setContentId | ( | $ | id | ) |

Returns:
  MimePart

Definition at line 75 of file MimePart.class.php.

MimePart::setContentType | ( | $ | type | ) |

Returns:
  MimePart

Definition at line 90 of file MimePart.class.php.

MimePart::setDescription | ( | $ | description | ) |

Returns:
  MimePart

Definition at line 153 of file MimePart.class.php.

References $description.

MimePart::setEncoding | ( | MailEncoding $ | encoding | ) |

Returns:
  MimePart

Definition at line 108 of file MimePart.class.php.

MimePart::setFilename | ( | $ | name | ) |

Returns:
  MimePart

Definition at line 138 of file MimePart.class.php.

MimePart::setInline | ( | $ | inline = `true` | ) |

Returns:
  MimePart

Definition at line 201 of file MimePart.class.php.

References $inline.

## Member Data Documentation

MimePart::$body = null`[private]`

Definition at line 29 of file MimePart.class.php.

Referenced by getEncodedBody(), and setBody().

MimePart::$boundary = null`[private]`

Definition at line 21 of file MimePart.class.php.

Referenced by setBoundary().

MimePart::$charset = null`[private]`

Definition at line 24 of file MimePart.class.php.

Referenced by setCharset().

MimePart::$contentId = null`[private]`

Definition at line 19 of file MimePart.class.php.

MimePart::$contentType = null`[private]`

Definition at line 20 of file MimePart.class.php.

MimePart::$description = null`[private]`

Definition at line 27 of file MimePart.class.php.

Referenced by setDescription().

MimePart::$encoding = null`[private]`

Definition at line 23 of file MimePart.class.php.

MimePart::$filename = null`[private]`

Definition at line 26 of file MimePart.class.php.

MimePart::$inline = false`[private]`

Definition at line 31 of file MimePart.class.php.

Referenced by setInline().

MimePart::$parts = array()`[private]`

Definition at line 34 of file MimePart.class.php.

The documentation for this class was generated from the following file:

- main/Net/Mail/MimePart.class.php